Bug 596456 - (CVE-2010-1405) CVE-2010-1405 WebKit: use-after-free vulnerability in handling of HTML elements with custom vertical positioning
CVE-2010-1405 WebKit: use-after-free vulnerability in handling of HTML elemen...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20100607,repor...
: Security
Depends On:
Blocks: 806808
  Show dependency treegraph
 
Reported: 2010-05-26 15:06 EDT by Vincent Danen
Modified: 2016-03-04 07:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 04:16:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-05-26 15:06:47 EDT
A use after free issue exists in WebKit's handling of HTML elements with custom vertical positioning. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved memory reference tracking.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=36198
Trac: http://trac.webkit.org/changeset/56186

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges Ojan Vafai of Google Inc. as the original reporter.
Comment 4 Jan Lieskovsky 2010-06-08 12:40:35 EDT
Public via:
  [1] http://support.apple.com/kb/HT4196

Note You need to log in before you can comment on or make changes to this bug.